Skip to main content
GET
Get a private network
CLI equivalent: ornn private-networks show <name-or-id>.

Authorizations

Authorization
string
header
required

Create an organization API key in Account Settings > Developer. Do not send this key to the Kubernetes API server.

Path Parameters

network_id
string<uuid>
required

Private network ID.

Response

The network.

id
string<uuid>
required
name
string
required
cidr
string
required

Private IPv4 range of the network.

status
string
required

pending, active, degraded, or deleting. Use the network only when active.

endpoint
string | null

Gateway public address once provisioned.

public_key
string | null

Gateway WireGuard public key once provisioned.

attached_reservation_count
integer

Peers connected to the network, including WireGuard configs and machines. Deletion requires 0.

gateway
object
compartments
object[]

Provisioning or teardown steps for the current operation.

created_at
string<date-time>
updated_at
string<date-time>